Edit accounting settings including fiscal year start month, calendarization method, and all 12 account period definitions.
Exactly 12 account periods must be provided with unique period numbers and unique names.
Changes are applied transactionally.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Request Body
AccountingSettingsRequest
| Property | Description | Type | |||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|
| accountPeriods | List of accounting period names Required (defined) | AccountPeriodRequest[] | |||||||||
|
AccountPeriodRequest properties
|
|||||||||||
| calendarizationMethod | Calendarization method Value will be one of “monthly”, “user-defined” One of ‘monthly’, ‘user-defined’ Case sensitive Required (defined) | string | |||||||||
| fiscalYearDefinedAtYear | Fiscal year reflects the calendar year in which it Begins or Ends One of ‘beginning’, ’ending’ Case sensitive Required (defined) | string | |||||||||
| fiscalYearStartMonth | First month of fiscal year Must be between 1 and 12 Required (defined) | integer (int32) | |||||||||
Example Request Body
{ "accountPeriods": [
{ "name": "string", "periodNumber": 1
}
], "calendarizationMethod": "string", "fiscalYearDefinedAtYear": "string", "fiscalYearStartMonth": 1
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
AccountingSettingsResponse
| Property | Description | Type | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| accountPeriods | List of accounting period names | AccountPeriodResponse[] | ||||||||||||
|
AccountPeriodResponse properties
|
||||||||||||||
| calendarizationMethod | Calendarization method Value will be one of “monthly”, “user-defined” | string | ||||||||||||
| fiscalYearDefinedAtYear | Fiscal year reflects the calendar year in which it Begins or Ends Value will be one of “beginning”, “ending” | string | ||||||||||||
| fiscalYearStartMonth | First month of fiscal year Value will be from 1-12 | integer (int32) | ||||||||||||
Example Response
{ "accountPeriods": [
{ "accountPeriodId": 1, "name": "string", "periodNumber": 1
}
], "calendarizationMethod": "string", "fiscalYearDefinedAtYear": "string", "fiscalYearStartMonth": 1
}